%%
%% This is file Uthesis.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% xepersian.dtx  (with options: `Uthesis.cls')
%% 
%%   __________________________________
%%   Copyright © 2008-2009 Vafa Khalighi
%%  
%% 
%% 

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{Uthesis}
              [2011/09/11 v0.1
 Persian thesis proposal form  in XeLaTeX]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{report}}
\ProcessOptions
%Should be changed Start
\LoadClass{report}
%Should be changed end%
\usepackage{amssymb}
\usepackage{fancyhdr}
\usepackage{fancybox}
\usepackage{amsthm,amssymb,amsmath}
\usepackage{enumerate}
\usepackage{float,latexsym,shortvrb}
\usepackage{lscape}
%\usepackage[sort&compress, comma, numbers]{natbib}
%\usepackage[pagebackref={true},colorlinks=true,
%linkcolor=Violet,citecolor=Red,urlcolor=Plum]{hyperref}
%$$$$$$$$$$$$$$$جدید$$$$$$$$$$$$$$$$$$
\usepackage{ tikz}
‎\usepackage[utf8]{inputenc}‎
‎\usepackage{pstricks-add}‎
%$$$$$$$$$$$$$$$$$$$$$$$$
\usepackage{fancyhdr}
\usepackage{fancybox}
\usepackage{makeidx}         % allows index generation
\usepackage{color}
\usepackage{pdfpages} 
\usepackage[nottoc,notlof,notlot]{tocbibind} % برای اضافه کردن نمایه  و کتابنامه به فهرست
\usepackage{graphicx}
\usepackage{framed}
\usepackage{algorithm}
\usepackage{algorithmic}
\usepackage{xepersian}
\usepackage[extrafootnotefeatures]{xepersian}
\usepackage{xepersian}
\defpersianfont\nastaliq[Scale=2]{IranNastaliq}
\defpersianfont\titr[Scale=1]{XB Titre}
\defpersianfont\traffic[Scale=1]{B Traffic}
\defpersianfont\yekan[Scale=1]{B Yekan}
\settextfont[Scale=1.1]{XB Niloofar}
%\setdigitfont[Scale=1.1]{XB Zar}
\setdigitfont[Scale=1.1]{PGaramond}
\setlatintextfont{Junicode}
\setlatintextfont[ExternalLocation,BoldFont={lmroman10-bold},BoldItalicFont={lmroman10-bolditalic},ItalicFont={lmroman10-italic}]{lmroman10-regular}
%\usepackage[pagebackref=true,colorlinks,linkcolor=blue,citecolor=magenta]{hyperref}
 \usepackage{multirow}
\usepackage[all,arc,curve,color,frame]{xy}
\usepackage{rotating}
\usepackage{epsfig}
\usepackage[acronym,toc,xindy]{glossaries}
%\usepackage{tocbibind}
%\usepackage[linesnumbered,ruled,vlined]{algorithm2e}
%\usepackage[linesnumbered,ruled,vlined]{algorithm2e}
%%%%%%%%%%%% Page style %%%%%%%%%%%%%%%5
\textwidth=16cm \textheight=24cm 
\oddsidemargin=0cm
\evensidemargin=0cm
\topmargin=-2cm
%%%%%%%Students Information%%%%%%%%%%%%%%
\def\Studentname#1{\gdef\@Studetname{#1}}
\def\StudentDegree#1{\gdef\@StDegree{#1}}
\def\University#1{\gdef\@University{#1}}
\def\Field#1{\gdef\@Field{#1}}
\def\EStudentname#1{\gdef\@EStudetname{#1}}
\def\EStudentDegree#1{\gdef\@EStDegree{#1}}
\def\EUniversity#1{\gdef\@EUniversity{#1}}
\def\EField#1{\gdef\@EField{#1}}

%%%%%%%SuperVisor Information%%%%%%%%%%%%%%
\def\SupVisorName#1{\gdef\@SupisorName{#1}}
\def\AdvisorName#1{\gdef\@AdvisorName{#1}}
\def\ESupVisorName#1{\gdef\@ESuperVisorName{#1}}
\def\EAdvisorName#1{\gdef\@EAdvisorName{#1}}
%%%%%% Thesis Information %%%%%%%%%%%%%
\def\TTitle#1{\gdef\@ThesisTitle{#1}}
\def\latinTitle#1{\gdef\@latinThesisTitle{#1}}
\def\KWords#1{\gdef\@KeyWords{#1}}
\def\latinKWords#1{\gdef\@latinKeyWords{#1}}
\def\FarsiDate#1{\gdef\@fdate{#1}}
\def\LatinDate#1{\gdef\@ldate{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\dedicateTo#1{\gdef\@dedicateTo{#1}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\topmargin=-30pt
\def\makeTtitle{
\begin{titlepage}

\begin{center}
\includegraphics[scale=1]{Ulogo.PNG}
\\  \large \bf
وزارت علوم، تحقیقات و فناوری\\
 
دانشگاه شهید مدنی آذربایجان \\
\faculty{دانشــکده علــوم پــایه}\\
\department{گـروه ریاضـی کاربردی}\\
\vspace{5mm}
رساله 
 برای دریافت درجه \@StDegree
\\
در رشته   \@Field  
\field{، گرایش تحقیق در عملیات}
\vspace{1cm}

\huge \@ThesisTitle
\\
\vspace{2cm}  \large
استاد راهنما: \\
دکتر  \@SupisorName 
%\\ \vspace{2cm} 
%استاد مشاور: \\
%دکتر   \@AdvisorName   
\\ \vspace{2cm} 
پژوهشگر: \\
 \@Studetname \\  \vspace{2cm} \@fdate \\ 
تبریز- ایران
\end{center}
\thispagestyle{empty}
\end{titlepage}
\newpage
\begin{titlepage}
\vspace{4cm} \begin{center}
%\Large این صفحه عمدا خالی است
\end{center}
\newpage
\thispagestyle{empty}
\begin{center}
\includegraphics[scale=0.65]{besm.jpg}
\end{center}
\end{titlepage}
\newpage 
\begin{titlepage}\large
\begin{center} \Large
\vspace{4cm}
{\nastaliq \@dedicateTo}
{\nastaliq
{\huge
\shadowtext{
\hspace{-9cm}
تقـدیم به:\\
\vspace{2cm}
 حضرت رقیّه (س)
و
پدر و مادر عزیزم
}\\
\vspace{1.5cm}
\hspace{4.5cm}
\shadowtext{
به آنهایی که دوستشان دارم.}}}
\end{center}
\end{titlepage}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\topmargin=-30pt
\def\makeEtitle{
\begin{titlepage}
\newpage \thispagestyle{empty}
\end{titlepage}
\begin{titlepage}
\begin{center}
\includegraphics[scale=1]{Ulogo.PNG}
\\  
Ministry of Science, Researche, and Technology\\
Azarbaijan Shahid Madani University \\
\latinfaculty{Faculty of Sciences}\\
\vspace{5mm}
\lr{A Thesis Presented to the the Department of Mathematics in Partial Fulfillment of}\\ 
\lr{  the Requirements for the Degree of Ph.D in}\\ 
\lr{\large \@EField} \\
\vspace{1cm}
\Large {\lr \@latinThesisTitle}
\\
\vspace{1cm} 
 \lr{\large \textbf{Supervisor}} \\
\lr{\large \@ESuperVisorName  (Ph.D)} \\
\vspace{1cm} 
\lr{\large \textbf{Advisor}} \\
\lr{ \large    \@EAdvisorName  (Ph.D)}   
\\
 \vspace{1cm} 
\lr{{\large By \\
 \lr{\@EStudetname} \\ 
 \vspace{2cm} \Latin \@ldate} \\ 
\lr{\large Tabriz-Iran}}

\end{center}
\thispagestyle{empty}
\end{titlepage}
}

%%%%%%%%%% فاصله بین خطوط  %%%%%%%%%%%%%%%%%%
\newlength{\defbaselineskip}
\setlength{\defbaselineskip}{\baselineskip}
\newcommand{\setlinespacing}[1]%
           {\setlength{\baselineskip}{#1 \defbaselineskip}}
\newcommand{\doublespacing}{\setlength{\baselineskip}%
                           {2.0 \defbaselineskip}}
\newcommand{\singlespacing}{\setlength{\baselineskip}{\defbaselineskip}}
%\textwidth=12cm \textheight=19cm 
\topmargin=-0.5cm
\oddsidemargin=0cm
\evensidemargin=0cm


% End of file `UThesis.cls'.

%%%%%%%% محیط های تعریف شده %%%%%%%%%%%%%%%%
\newtheorem{theorem}{   \rl{ قضیه}}[chapter]\setlinespacing{1.7}
\newtheorem{proposition}{   \rl{ گزاره}}[chapter]\setlinespacing{1.7}
\newtheorem{corollary}{\rl{نتیجه }}[chapter]\setlinespacing{1.7}
\newtheorem{lemma}{\rl{لم }}[chapter]\setlinespacing{1.7}
\newtheorem{rem}{\rl{تذکر }}[chapter]\setlinespacing{1.7}
%\newtheorem{algorithm}{  \rl{ الگوریتم }%[chapter] \rm}\setlinespacing{1.7}
\newtheorem{example}{\rl{مثال } \rm }[chapter]\setlinespacing{1.7}
\newtheorem{definition}{  \rl{ تعریف }  }[chapter]\setlinespacing{1.7}
\newtheorem{remark}{  \rl{ تبصره }  }[chapter]\setlinespacing{1.7}
%\newtheorem{algorithm}{   \rl{ الگوریتم}}[chapter]\setlinespacing{1.7}


 
\newenvironment{proof}{{\noindent\bf    اثبات : } \rm }{\hfill{$\Box$}}
\newenvironment{solution}{{\noindent\bf   حل  : } \rm~  }{\hfill{$\diamondsuit$}}


%%%%%%%%%%%%%%%%% Header %%%%%%%%%%%%%
\pagestyle{fancy}
%\fancyhf{}
%% L/C/R denote left/center/right header (or footer) elements
%% E/O denote even/odd pages

%% \leftmark, \rightmark are chapter/section headings generated by the 
%% book document class

\fancyhead[L,RO]{}
\cfoot{\thepage}
\fancyhead[R]{\leftmark}
\fancyhead[LO]{\rightmark}
%\fancyfoot[LO,L]{}
%\fancyfoot[C]{}
%\fancyfoot[RO,R]{}

%\fancyhead[OL,EL]{}
%\cfoot{\thepage}
%\fancyhead[OR]{\small\rightmark}
%\fancyhead[ER]{\small\leftmark}

%%%%%%%%%%%%%%%%%%%%
\newcommand{\set}[1]{\left\{#1\right\}}
\newcommand\persiangloss[2]{#1\dotfill\lr{#2}\\}
\newcommand\latingloss[2]{#1\dotfill\lr{#2}\\}
\newcommand\acronymgloss[2]{#1\hspace{5mm}\dotfill\hspace{5mm}\lr{#2}\\}
\newcommand\lettertitle[2]{{\Large{#1}}\hfill\lr{\Large{#2}}\\ \\}
\renewcommand{\algorithmicrequire}{\textbf{Input:}}
\renewcommand{\algorithmicensure}{\textbf{Output:}}
%  تعریف فونت سایه دار
\newcommand\shadowtext[1]%
{%
   \settowidth{\@sbw}{#1}%
   \settoheight{\@sbh}{#1}%
   \setlength{\@picw}{\@sbw}%
   \setlength{\@pich}{\@sbh}%
   \addtolength{\@picw}{\st@shadowoffsetx}%
   \addtolength{\@pich}{\st@shadowoffsety}%
   %
   \edef\num@tw{\strip@pt\@sbw}%
   \edef\num@th{\strip@pt\@sbh}%
   \edef\num@pw{\strip@pt\@picw}%
   \edef\num@ph{\strip@pt\@pich}%
   \edef\num@offsetx{\strip@pt\st@shadowoffsetx}%
   \edef\num@offsety{\strip@pt\st@shadowoffsety}%
   \begin{picture}(\num@pw,\num@ph)(0,0)
	    \put(\num@offsetx,0){\makebox(\num@tw,\num@th)[tl]{{\color{st@shadowcolor}\def\color##1{}\ignorespaces #1}}}
		\put(0,\num@offsety){\makebox(\num@tw,\num@th)[tl]{\if@RTL\beginR\fi\ignorespaces #1\if@RTL\endR\fi}}
	\end{picture}\ignorespaces%
}
